

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>AM62PX PSI-L Device Descriptions &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 5: SoC Family Specific Documentation" href="../index.html"/>
        <link rel="next" title="AM62PX Proxy Device Descriptions" href="proxy_cfg.html"/>
        <link rel="prev" title="AM62PX DMA Device Descriptions" href="dma_cfg.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 5: SoC Family Specific Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr1">AM65x SR1</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr2">AM65x SR2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am64x">AM64x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62x">AM62x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62ax">AM62Ax</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#am62px">AM62Px</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="hosts.html">AM62PX Host Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="devices.html">AM62PX Devices Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="clocks.html">AM62PX Clock Identifiers</a></li>
<li class="toctree-l3"><a class="reference internal" href="pll_data.html">AM62PX PLL Defaults</a></li>
<li class="toctree-l3"><a class="reference internal" href="resasg_types.html">AM62PX Board Configuration Resource Assignment Type Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="interrupt_cfg.html">AM62PX Interrupt Management Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="ra_cfg.html">AM62PX Ring Accelerator Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="dma_cfg.html">AM62PX DMA Device Descriptions</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">AM62PX PSI-L Device Descriptions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#psi-l-proxy-device-ids">PSI-L Proxy Device IDs</a></li>
<li class="toctree-l4"><a class="reference internal" href="#psi-l-source-and-destination-thread-ids">PSI-L Source and Destination Thread IDs</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="proxy_cfg.html">AM62PX Proxy Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="sec_proxy.html">AM62PX Secure Proxy Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="processors.html">AM62PX Processor Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewalls.html">AM62PX Firewall Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="soc_devgrps.html">AM62PX Device Group descriptions</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am275x">AM275x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62lx">AM62Lx</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721e">J721E</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j7200">J7200</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721s2">J721S2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j722s">J722S</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j784s4">J784S4</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 5: SoC Family Specific Documentation</a> &raquo;</li>
      
    <li>AM62PX PSI-L Device Descriptions</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="am62px-psi-l-device-descriptions">
<h1>AM62PX PSI-L Device Descriptions<a class="headerlink" href="#am62px-psi-l-device-descriptions" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information on the PSI-L devices in the AM62PX SoC.  Some
System Firmware TISCI messages take device specific inputs. This chapter
provides information on the valid values for PSI-L TISCI message parameters.</p>
</div>
<div class="section" id="psi-l-proxy-device-ids">
<span id="pub-soc-am62px-psil-proxy-device-ids"></span><h2>PSI-L Proxy Device IDs<a class="headerlink" href="#psi-l-proxy-device-ids" title="Permalink to this headline">¶</a></h2>
<p>Some System Firmware TISCI message APIs require the PSI-L Proxy device ID be
provided as part of the request. Based on <a class="reference internal" href="devices.html"><span class="doc">AM62PX Device IDs</span></a>
these are the valid PSI-L Proxy device IDs.</p>
<table border="1" class="docutils">
<colgroup>
<col width="52%" />
<col width="48%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">PSI-L Proxy Device Name</th>
<th class="head">PSI-L Proxy Device ID</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>AM62PX_DEV_DMASS0</td>
<td>25</td>
</tr>
<tr class="row-odd"><td>AM62PX_DEV_DMASS1</td>
<td>198</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="psi-l-source-and-destination-thread-ids">
<span id="pub-soc-am62px-psil-thread-ids"></span><h2>PSI-L Source and Destination Thread IDs<a class="headerlink" href="#psi-l-source-and-destination-thread-ids" title="Permalink to this headline">¶</a></h2>
<p>This section describes valid PSI-L source and destination thread IDs for each
thread type. The thread IDs are used in the PSI-L based TISCI messages.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">PSI-L threads marked as reserved for use by TIFS <strong>cannot</strong> be linked to
another thread.</p>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="55%" />
<col width="45%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Thread Type</th>
<th class="head">Thread Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>bcdma_cfg</td>
<td>0x21 to 0x21</td>
</tr>
<tr class="row-odd"><td>bcdma_cfg</td>
<td>0x24 to 0x24</td>
</tr>
<tr class="row-even"><td>pktdma_tx</td>
<td>0x1000 to 0x101c</td>
</tr>
<tr class="row-odd"><td>bcdma_tx</td>
<td>0x2000 to 0x2018</td>
</tr>
<tr class="row-even"><td>pdma_main0_mcspi0_rx</td>
<td>0x4300 to 0x4303</td>
</tr>
<tr class="row-odd"><td>pdma_main0_mcspi1_rx</td>
<td>0x4304 to 0x4307</td>
</tr>
<tr class="row-even"><td>pdma_main0_mcspi2_rx</td>
<td>0x4308 to 0x430b</td>
</tr>
<tr class="row-odd"><td>pdma_main0_mcan0_rx</td>
<td>0x430c to 0x430e</td>
</tr>
<tr class="row-even"><td>pdma_main1_uart0_rx</td>
<td>0x4400 to 0x4400</td>
</tr>
<tr class="row-odd"><td>pdma_main1_uart1_rx</td>
<td>0x4401 to 0x4401</td>
</tr>
<tr class="row-even"><td>pdma_main1_uart2_rx</td>
<td>0x4402 to 0x4402</td>
</tr>
<tr class="row-odd"><td>pdma_main1_uart3_rx</td>
<td>0x4403 to 0x4403</td>
</tr>
<tr class="row-even"><td>pdma_main1_uart4_rx</td>
<td>0x4404 to 0x4404</td>
</tr>
<tr class="row-odd"><td>pdma_main1_uart5_rx</td>
<td>0x4405 to 0x4405</td>
</tr>
<tr class="row-even"><td>pdma_main1_uart6_rx</td>
<td>0x4406 to 0x4406</td>
</tr>
<tr class="row-odd"><td>pdma_mcasp_mcasp0_rx</td>
<td>0x4500 to 0x4500</td>
</tr>
<tr class="row-even"><td>pdma_mcasp_mcasp1_rx</td>
<td>0x4501 to 0x4501</td>
</tr>
<tr class="row-odd"><td>pdma_mcasp_mcasp2_rx</td>
<td>0x4502 to 0x4502</td>
</tr>
<tr class="row-even"><td>cpsw2_rx</td>
<td>0x4600 to 0x4600</td>
</tr>
<tr class="row-odd"><td>csi_rx</td>
<td>0x5000 to 0x501f</td>
</tr>
<tr class="row-even"><td>saul0_rx</td>
<td>0x7504 to 0x750b</td>
</tr>
<tr class="row-odd"><td>pktdma_rx</td>
<td>0x9000 to 0x9017</td>
</tr>
<tr class="row-even"><td>bcdma_rx</td>
<td>0xa000 to 0xa018</td>
</tr>
<tr class="row-odd"><td>bcdma_rx</td>
<td>0xb100 to 0xb105</td>
</tr>
<tr class="row-even"><td>pdma_main0_mcspi0_tx</td>
<td>0xc300 to 0xc303</td>
</tr>
<tr class="row-odd"><td>pdma_main0_mcspi1_tx</td>
<td>0xc304 to 0xc307</td>
</tr>
<tr class="row-even"><td>pdma_main0_mcspi2_tx</td>
<td>0xc308 to 0xc30b</td>
</tr>
<tr class="row-odd"><td>pdma_main0_mcan0_tx</td>
<td>0xc30c to 0xc30e</td>
</tr>
<tr class="row-even"><td>pdma_main1_uart0_tx</td>
<td>0xc400 to 0xc400</td>
</tr>
<tr class="row-odd"><td>pdma_main1_uart1_tx</td>
<td>0xc401 to 0xc401</td>
</tr>
<tr class="row-even"><td>pdma_main1_uart2_tx</td>
<td>0xc402 to 0xc402</td>
</tr>
<tr class="row-odd"><td>pdma_main1_uart3_tx</td>
<td>0xc403 to 0xc403</td>
</tr>
<tr class="row-even"><td>pdma_main1_uart4_tx</td>
<td>0xc404 to 0xc404</td>
</tr>
<tr class="row-odd"><td>pdma_main1_uart5_tx</td>
<td>0xc405 to 0xc405</td>
</tr>
<tr class="row-even"><td>pdma_main1_uart6_tx</td>
<td>0xc406 to 0xc406</td>
</tr>
<tr class="row-odd"><td>pdma_mcasp_mcasp0_tx</td>
<td>0xc500 to 0xc500</td>
</tr>
<tr class="row-even"><td>pdma_mcasp_mcasp1_tx</td>
<td>0xc501 to 0xc501</td>
</tr>
<tr class="row-odd"><td>pdma_mcasp_mcasp2_tx</td>
<td>0xc502 to 0xc502</td>
</tr>
<tr class="row-even"><td>cpsw2_tx</td>
<td>0xc600 to 0xc607</td>
</tr>
<tr class="row-odd"><td>saul0_tx</td>
<td>0xf500 to 0xf503</td>
</tr>
</tbody>
</table>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="proxy_cfg.html" class="btn btn-neutral float-right" title="AM62PX Proxy Device Descriptions" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="dma_cfg.html" class="btn btn-neutral" title="AM62PX DMA Device Descriptions" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>